CRMchat APIBeta
Telegram MethodsPayments

payments.createOnrampSession

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/payments.createOnrampSession

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/payments.createOnrampSession" \  -H "Content-Type: application/json" \  -d '{    "params": {      "provider": "string",      "cryptoCurrency": "string",      "address": "string"    }  }'
{  "result": {    "_": "onrampSession",    "provider": "string",    "sessionId": "string",    "url": "string",    "expiresDate": 0  },  "txid": 0}